Subject: bug#8970: 24.0.50.1; rcirc with TLS on Windows broken?

From: Ted Zlatanov <[email-masked]>
Date: Fri, 01 Jul 2011 14:46:20 -0500

On Fri, 01 Jul 2011 11:42:43 +0200 Deniz Dogan <[email-masked]> wrote: 

DD> Lately I've been experiencing a lot of trouble when connecting to
DD> Freenode over TLS (irc.freenode.net:7000).  This is what I get after
DD> just a few minutes of connectivity:

DD> 11:38 *** *** error  A TLS packet with unexpected length was received.
DD> 11:38 *** *** has terminated the connection abnormally.
DD> 11:38 !!! irc.freenode.net: exited abnormally with code 1 (exit)

DD> I'm using Sean Sieger's build:
DD> GNU Emacs 24.0.50.1 (i386-mingw-nt6.1.7601) of 2011-06-20 on 3249CTO

Does this happen with other IRC servers?

irc.freenode.net is a round-robin DNS address so it's really hard to
tell if the problem is on the Emacs side or not.  Could you pick one of
the host IPs and test with it specifically?

Ted